# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TMapTypeEntry

Packages that use TMapTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TMapTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TMapTypeEntry
Modifier and Type
Class
Description
`class`
`TMapTypeEntry`
`class`
`TMapTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TMapTypeEntry
Modifier and Type
Method
Description
`TMapTypeEntry`
TMapTypeEntry.`deepCopy()`
`TMapTypeEntry`
TTypeEntry.`getMapEntry()`
`TMapTypeEntry`
TMapTypeEntry.`setKeyTypePtr(int keyTypePtr)`
`TMapTypeEntry`
TMapTypeEntry.`setValueTypePtr(int valueTypePtr)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TMapTypeEntry
Modifier and Type
Method
Description
`int`
TMapTypeEntry.`compareTo(TMapTypeEntry other)`
`boolean`
TMapTypeEntry.`equals(TMapTypeEntry that)`
`static TTypeEntry`
TTypeEntry.`mapEntry(TMapTypeEntry value)`
`void`
TTypeEntry.`setMapEntry(TMapTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TMapTypeEntry
Modifier
Constructor
Description
``
`TMapTypeEntry(TMapTypeEntry other)`
Performs a deep copy on other.